Bug 56089 - (IDE)System fails to boot with 2.4.9-12 kernel
Summary: (IDE)System fails to boot with 2.4.9-12 kernel
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-12 18:58 UTC by jra
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 01:14:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jra 2001-11-12 18:58:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
The system fails to boot giving a kernel panic message when trying to boot 
with the 2.4.9-12 kernel.  The 2.4.3-12 kernel boots fine.  The system 
uses a SuperMicro 370DLE motherboard (using 1 processor) and Promise 
Ultra100 Tx2 IDE controller.  The panic message occurs when trying to 
mount the root filesystem.

Version-Release number of selected component (if applicable): 2.4.9-12


How reproducible:
Always

Steps to Reproduce:
1. Reboot the machine using the latest RedHat provided kernel
2.
3.
	

Actual Results:  System hangs

Expected Results:  System should boot


Additional info:

Comment 1 Arjan van de Ven 2001-11-12 19:01:44 UTC
Would you mind giving the panic message ? Without the text there's nothing I can
work with...

Comment 2 jra 2001-11-12 19:24:06 UTC
Here are the last lines that appear on the console before the system hangs:

ide-floppy driver 0.97.sv
request_module [ide-cd]: Root fs not mounted
hda: driver not present
VFS: Cannot open root device "306" or 03:06
Please append a correct "root=" boot option
kernel panic: VFS: Unable to mount root fs on 03:06


Comment 3 Arjan van de Ven 2001-11-12 19:30:46 UTC
I know things scroll by fast, but is there ANY indication that earlier messages
show anything about promise controllers ?

The message indicates that the root device isn't found, /dev/hda in specific

Comment 4 jra 2001-11-12 20:38:54 UTC
There are no earlier messages about the Promise controller.  There is nothing 
in the messages file either.  Unfortunately I have to reboot the machine 
immediately with the older kernel as this is our Web server.

With the 2.4.3-12 stock kernel, there is no problem whatsoever and we have no 
additional boot options added to the original lilo.conf file except the 
word "linear".

Comment 5 Arjan van de Ven 2001-11-12 20:41:05 UTC
Ok one last question
if you type "linux ro root=/dev/hde6"
does that work ?
(no need to look at anything, should work immedatly or not at all)

Comment 6 jra 2001-11-12 20:53:06 UTC
Same results with system hanging at same point.


Comment 7 jra 2001-11-22 19:00:44 UTC
The solution is to recompile the kernel with the option "Boot off-board 
chipsets first support" to Yes.  The stock 2.4.9-12 kernel supplied by RedHat 
will not boot with the SuperMicro 370DLE, Promise Ultra100 TX2 combination.



Note You need to log in before you can comment on or make changes to this bug.